<%@ taglib prefix="cs" uri="futuretense_cs/ftcs1_0.tld" %>
<%@ taglib prefix="ics" uri="futuretense_cs/ics.tld" %>
<%@ taglib prefix="satellite" uri="futuretense_cs/satellite.tld" %>
<%//
// test2
//
// INPUT
//
// OUTPUT
//%>    

<%@ page import="com.fatwire.cs.ui.view.constant.ViewConstants"%>
<%@ page import="com.fatwire.cs.ui.model.bo.asset.Asset"%>
<%@ page import="com.fatwire.assetapi.data.*"%>
<%@ page import="com.fatwire.cs.ui.exception.*"%>
<%@ page import="java.util.*"%>
<%@ page import="org.apache.commons.logging.Log"%>
<%@ page import="org.apache.commons.logging.LogFactory"%>

<cs:ftcs>

<% 
Log log = LogFactory.getLog( "com.fatwire.logging.cs" );
Asset     asset      = (Asset)ics.GetObj(ViewConstants.CURRENT_ASSET_OBJECT );
AssetData assetData  = asset.getData();

List<String> attributeNames = assetData.getAttributeNames();
for ( String attributeName : attributeNames )
{
    Object data = assetData.getAttributeData( attributeName ).getDataAsList();    
    log.info( attributeName + " : " + ( data != null ? data.toString() : "null" ) ); 
}

// try to modify Headline attribute before it is saved
// custom attribute
AttributeData headlineData = assetData.getAttributeData( "Headline" );
// standard metadata
AttributeData descriptionData = assetData.getAttributeData( "description", false );
// get existing values - always use getDataAsList() to retrieve attribute values
// as opposed to getData(), because of the underlying JSF bindings.
List headlineList = headlineData.getDataAsList();
// this attribute is single-valued: just read the first item
String headline = (String)headlineList.get( 0 );

// validate data
if ( headline != null && headline.length() < 6 ) {
    UIExceptionManager manager = UIExceptionFactory.getManager();   
    manager.addException( new LocalizedMessageException( "myKey" ) );    
    ics.SetErrno( -99999 );
}

// if the PreUpdate is meant to modify incoming data: 
// modify data
headline += " - modified from Dash!!" ;
// set data
headlineData.setDataAsList( Collections.singletonList( headline ) );
%>


</cs:ftcs>